Skip to main content
`Ctrl`+`K`

# DSRegisterAll

Registers all of the direct solvers in the `DS` package.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSRegisterAll(void)

Not Collective

## See Also

DS: Direct Solver (or Dense System), `DSRegister()`

## Level

advanced

## Location

src/sys/classes/ds/interface/dsbasic.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages